package com.platform.modules.sensitiveword.entity;

import java.io.Serializable;
import java.util.Date;

import org.hibernate.validator.constraints.NotEmpty;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 敏感词
 * 
 * @author Anine
 * @date 2019-03-11 15:49:30
 */
@TableName("sensitive_word")
@ApiModel("敏感词")
public class SensitiveWordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId
	@ApiModelProperty(value = "id")
	private Integer id;
	/**
	 * 敏感词
	 */
	@ApiModelProperty(value = "敏感词", required = true)
	@NotEmpty(message = "敏感词不能为空")
	private String sensitiveWord;
	/**
	 * 替换词
	 */
	@ApiModelProperty(value = "替换词")
	private String replaceWord;
	/**
	 * 创建者id
	 */
	@ApiModelProperty(value = "创建者id", hidden = true)
	private Long createBy;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间", hidden = true)
	private Date createTime;
	/**
	 * 是否删除，默认为0，不删除
	 */
	@ApiModelProperty(value = "是否删除，默认为0，不删除", hidden = true)
	private Integer isDelete;

	/**
	 * 设置：id
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：id
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：敏感词
	 */
	public void setSensitiveWord(String sensitiveWord) {
		this.sensitiveWord = sensitiveWord;
	}
	/**
	 * 获取：敏感词
	 */
	public String getSensitiveWord() {
		return sensitiveWord;
	}
	/**
	 * 设置：替换词
	 */
	public void setReplaceWord(String replaceWord) {
		this.replaceWord = replaceWord;
	}
	/**
	 * 获取：替换词
	 */
	public String getReplaceWord() {
		return replaceWord;
	}
	/**
	 * 设置：创建者id
	 */
	public void setCreateBy(Long createBy) {
		this.createBy = createBy;
	}
	/**
	 * 获取：创建者id
	 */
	public Long getCreateBy() {
		return createBy;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：是否删除，默认为0，不删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除，默认为0，不删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	public SensitiveWordEntity() {
	}
}
